// create by shupeng

#import "FlutterAdsBannerViewFactory.h"
#import "FlutterAdsBannerView.h"

@implementation FlutterAdsBannerViewFactory {
    NSObject <FlutterBinaryMessenger> *_messenger;
}

- (instancetype)initWithMessenger:(NSObject <FlutterBinaryMessenger> *)messager {
    self = [super init];
    if (self) {
        _messenger = messager;
    }
    return self;
}

//设置参数的编码方式
- (NSObject <FlutterMessageCodec> *)createArgsCodec {
    return [FlutterStandardMessageCodec sharedInstance];
}

- (nonnull NSObject <FlutterPlatformView> *)createWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id _Nullable)args {
    FlutterAdsBannerView *bannerView = [[FlutterAdsBannerView alloc] initWithWithFrame:frame
                                                                        viewIdentifier:viewId
                                                                             arguments:args
                                                                       binaryMessenger:_messenger];

    return bannerView;
}

@end
