//
// Created by John Shu on 2020/3/10 12:09.
// Copyright (c) 2020 shupeng. All rights reserved.
//

#import "FlutterAdsNativeView.h"
#import <NOVAdKit/NOVAdManager.h>

@interface FlutterAdsNativeView ()

@end

@implementation FlutterAdsNativeView {
    //FlutterIosTextLabel 创建后的标识
    int64_t _viewId;
    //消息回调
    FlutterBasicMessageChannel *_channel;
}

- (instancetype)initWithWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id)args binaryMessenger:(NSObject<FlutterBinaryMessenger> *)messenger{
    if ([super init]) {
        _viewId = viewId;
    }
    return self;
}

- (nonnull UIView *)view {
    UIViewController *rootVC = [[[UIApplication sharedApplication] keyWindow] rootViewController];
    UIView *view = [[NOVAdManager shared] getNativeAdWithRootViewController:rootVC];
    return view;
}
@end